Subject: Where to Put Ethernet MAC Addresses?

From: Kent Borg <[email-masked]>
Date: Wed, 1 Oct 2003 15:32:09 -0400

In boards where there is ethernet but no manufacturered in MAC address
in the ethernet hardware, where does one get it?  Does this become a
userland problem to be handled in init scripts?  It seems that
ethernet initialization could also set the "manufacturer" MAC address,
and it might be stored in flash next to the Linux image, or in some
extra SPD bits, etc.

What are the various right ways to do this?

Thanks,

-kb

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/